Subject: Re: [RFC next-next v2 2/5] net: marvell: prestera: Add PCI interface support

From: Vadym Kochan <[email-masked]>
Date: Fri, 1 May 2020 09:22:23 +0300

Hi Andrew,

On Fri, May 01, 2020 at 02:00:15AM +0200, Andrew Lunn wrote:
> On Fri, May 01, 2020 at 02:20:49AM +0300, Vadym Kochan wrote:
> > Add PCI interface driver for Prestera Switch ASICs family devices, which
> > provides:
> > 
> >     - Firmware loading mechanism
> >     - Requests & events handling to/from the firmware
> >     - Access to the firmware on the bus level
> > 
> > The firmware has to be loaded each time device is reset. The driver is
> > loading it from:
> > 
> >     /lib/firmware/marvell/prestera_fw-v{MAJOR}.{MINOR}.img
> > 
> > The full firmware image version is located within internal header and
> > consists of 3 numbers - MAJOR.MINOR.PATCH. Additionally, driver has
> > hard-coded minimum supported firmware version which it can work with:
> > 
> >     MAJOR - reflects the support on ABI level between driver and loaded
> >             firmware, this number should be the same for driver and loaded
> >             firmware.
> > 
> >     MINOR - this is the minimum supported version between driver and the
> >             firmware.
> > 
> >     PATCH - indicates only fixes, firmware ABI is not changed.
> > 
> > Firmware image file name contains only MAJOR and MINOR numbers to make
> > driver be compatible with any PATCH version.
> 
> Hi Vadym
> 
> What are the plans for getting the firmware into linux-firmware git
> repo?
> 
> 	Andrew

Well, what is the procedure ? I was thinking that probably after
conceptual part will be approved and I will send official PATCH series
along with the firmware image to the linux-firmware ?

Regards,
Vadym Kochan